.content-navbar {
    background-color: #fafafa;
    @media(max-width: 1279px) {
        min-height: 64px;
    }
    @media(max-width: 958px) {
        min-height: 64px;
    }
    @media(max-width: 599px) {
        min-height: 56px;
    }
    @media(min-width: 1280px) {
        min-height: 120px;
    }
    * {
        transition: all ease .2s;
    }
}

.bg-toolbar-nav {
    overflow: hidden;
    img {
        width: auto !important;
        height: 120px;
        margin: -7px 0 0 0
    }
}

.reset-input.mat-focused {
    margin: -8px 0 0 0 !important;
}

.navbar-menu {
    background-color: white;
    @media(min-width: 1280px) {
        min-height: 120px;
    }
    .logo {
        //width: 100% !important;
        height: 100%;
        @media(max-width: 1279px) {
            margin: 0px 0 0 0;
            height: 100%;
        }
    }
    .nav-contact {
        li {
            margin: 6px 25px -2px !important;
            &:last-child {
                margin: 0 0 !important;
            }
        }
    }
    .top-menu {
        margin: 12px 0 -17px 0;
        li {
            button {
                margin: 0 0 0 10px;
                background: transparent !important;
                display: none
            }
            a {
                line-height: 50px;
                text-transform: capitalize !important;
                font-size: .8rem !important;
                position: relative;
                &::after {
                    content: '';
                    position: absolute;
                    left: 0;
                    bottom: 0;
                    width: 100%;
                    height: 2px;
                    background-color: rgb(7, 63, 116);
                    transform: scaleX(0);
                    transition: all ease .2s;
                }
                &:hover::after {
                    transform: scaleX(1);
                }
            }
            span.active {
                a:nth-child(1) {
                    background-color: #009ada;
                    color: #fff;
                    &::after {
                        transform: scaleX(1);
                    }
                }
            }
        }
    }
}

.mat-menu-item.active {
    &::before {
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        height: 100%;
        width: 2px;
        background-color: #009ada;
    }
}

// .float-address {
//     position: absolute;
//     left: 0;
//     top: 120px;
//     width: 450px;
//     z-index: 100;
//     height: 0px;
//     overflow: hidden;
//     transition: all cubic-bezier(0.075, 0.82, 0.165, 1) .6s;
//     @media (max-width: 1279px) {
//         top: 80px;
//     }
//     mat-card {
//         padding: 0 0;
//         .conten-logo-card {
//             background-color: #183d00;
//             padding: 0 20px;
//         }
//     }
//     p {
//         text-align: center;
//         display: inline-block;
//         font-size: .85rem;
//         width: 100%;
//         white-space: normal;
//         line-height: 15px;
//         color: white;
//         font-weight: lighter;
//     }
//     mat-list-item {
//         font-size: .9rem;
//         white-space: normal;
//         height: 35px !important;
//         h4 {
//             font-size: .9rem;
//         }
//         .mat-icon {
//             color: #000 !important;
//         }
//     }
//     .white-icon {
//         color: black !important;
//         fill: #000 !important;
//         width: 20px;
//         height: 20px;
//         margin: 10px;
//         display: inline-block;
//         svg g path {
//             color: black !important;
//             fill: #000 !important;
//         }
//     }
// }
header .mat-toolbar {
    background-color: transparent !important;
    position: absolute !important;
    z-index: 100;
    width: 100%;
    color: #fff;
    transition: all ease .2s;
    .content-logo {
        height: 100%;
    }
    .logo-header {
        position: relative;
        z-index: 10;
        height: 100%;
        @media(max-width: 599px) {
            overflow: hidden;
        }
        img {
            width: 180px;
            @media(min-width: 600px) {
                width: 100%;
            }
        }
    }
    &::after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 1px;
        background-color: white;
    }
    .content-menu {
        position: relative;
        z-index: 10;
        li {
            position: relative;
            height: 100%;
            &::before {
                position: absolute;
                left: 0;
                right: 0;
                margin: auto;
                bottom: 0;
                content: '';
                width: 100%;
                height: 1px;
                transform: scaleX(0);
                transition: all ease .2s;
            }
            &:nth-child(1) {
                &::before {
                    background-color: #BE244C;
                }
            }
            &:nth-child(2) {
                &::before {
                    background-color: #0499D6;
                }
            }
            &:nth-child(3) {
                &::before {
                    background-color: #F4D53F;
                }
            }
            &:nth-child(4) {
                &::before {
                    background-color: #111D55;
                }
            }
            &:hover::before {
                transform: scaleX(1);
            }
        }
    }
    &::before {
        content: '';
        position: absolute;
        right: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0);
        -webkit-transform-origin: 100% 50%;
        transform-origin: 100% 50%;
        -webkit-transform: scale3d(0, 1, 1);
        transform: scale3d(0, 1, 1);
        transition: all ease .2s;
        z-index: 0;
    }
    &.fillcolor {
        color: #9c9c9c !important;
        &::before {
            content: '';
            position: absolute;
            right: 0;
            top: 0;
            width: 100%;
            height: 100%;
            background-color: #0e0e0e;
            -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
        }
    }
    &.fillOutcolor {
        color: #fff !important;
        &::before {
            -webkit-transform: scale3d(0, 1, 1);
            transform: scale3d(0, 1, 1);
        }
    }
}

.sidenav-menu {
    width: max-content;
    width: 100%;
    max-width: 270px;
    background-color: #0e0e0e;
    .mat-toolbar {
        background-color: #0e0e0e;
    }
    .mat-list-item {
        color: #fff !important;
        cursor: pointer;
        a {
            width: 100%;
            text-align: left;
            color: #fff !important
        }
    }
}

.sin-color {
    background-color: rgb(46, 52, 65) !important
}

.shadowbg {
    .mat-toolbar {
        background-color: rgba(0, 0, 0, 0.9) !important;
    }
}

.content-logo {
    position: relative;
    overflow: hidden;
    a {
        height: 120px;
        @media(max-width: 599px) {
            height: 100px;
        }
    }
    &:hover {
        .float-address {
            height: 183px !important;
        }
    }
}
